db4o |

# Configuration.WeakReferenceCollectionInterval Method

configures the timer for WeakReference collection.

void WeakReferenceCollectionInterval(
int milliseconds
);

#### Parameters

milliseconds
  the time in milliseconds

#### Remarks

configures the timer for WeakReference collection.
The default setting is 1000 milliseconds.
Configure this setting to zero to turn WeakReference collection off.
Ignored on JDKs before 1.2.

#### See Also

Configuration Interface | com.db4o.config Namespace